Ginkgo: gko::batch::solver::BatchSolver Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::batch::solver::BatchSolver Class Reference
Linear Operators » Solvers

The BatchSolver is a base class for all batched solvers and provides the common getters and setter for these batched solver classes. More...

`#include <ginkgo/core/solver/batch_solver_base.hpp>`

Inheritance diagram for gko::batch::solver::BatchSolver:
[legend]

## Public Member Functions
std::shared_ptr< const BatchLinOp > | get_system_matrix () const
| Returns the system operator (matrix) of the linear system.
std::shared_ptr< const BatchLinOp > | get_preconditioner () const
| Returns the generated preconditioner.
double | get_tolerance () const
| Get the residual tolerance used by the solver.
void | reset_tolerance (double res_tol)
| Update the residual tolerance to be used by the solver.
int | get_max_iterations () const
| Get the maximum number of iterations set on the solver.
void | reset_max_iterations (int max_iterations)
| Set the maximum number of iterations for the solver to use, independent of the factory that created it.
::gko::batch::stop::tolerance_type | get_tolerance_type () const
| Get the tolerance type.
void | reset_tolerance_type (::gko::batch::stop::tolerance_type tol_type)
| Set the type of tolerance check to use inside the solver.

## Detailed Description

The BatchSolver is a base class for all batched solvers and provides the common getters and setter for these batched solver classes.

## Member Function Documentation

## ◆ get_max_iterations()

int gko::batch::solver::BatchSolver::get_max_iterations | ( |  | ) | const
| inline

Get the maximum number of iterations set on the solver.

Returns
  Maximum number of iterations.

## ◆ get_preconditioner()

std::shared_ptr< const BatchLinOp > gko::batch::solver::BatchSolver::get_preconditioner | ( |  | ) | const
| inline

Returns the generated preconditioner.

Returns
  the generated preconditioner.

## ◆ get_system_matrix()

std::shared_ptr< const BatchLinOp > gko::batch::solver::BatchSolver::get_system_matrix | ( |  | ) | const
| inline

Returns the system operator (matrix) of the linear system.

Returns
  the system operator (matrix)

## ◆ get_tolerance()

double gko::batch::solver::BatchSolver::get_tolerance | ( |  | ) | const
| inline

Get the residual tolerance used by the solver.

Returns
  The residual tolerance.

## ◆ get_tolerance_type()

::gko::batch::stop::tolerance_type gko::batch::solver::BatchSolver::get_tolerance_type | ( |  | ) | const
| inline

Get the tolerance type.

Returns
  The tolerance type.

## ◆ reset_max_iterations()

void gko::batch::solver::BatchSolver::reset_max_iterations | ( | int | max_iterations | ) |
| inline

Set the maximum number of iterations for the solver to use, independent of the factory that created it.

Parameters

  max_iterations | The maximum number of iterations for the solver.

## ◆ reset_tolerance()

void gko::batch::solver::BatchSolver::reset_tolerance | ( | double | res_tol | ) |
| inline

Update the residual tolerance to be used by the solver.

Parameters

  res_tol | The residual tolerance to be used for subsequent invocations of the solver.

## ◆ reset_tolerance_type()

void gko::batch::solver::BatchSolver::reset_tolerance_type | ( | ::gko::batch::stop::tolerance_type | tol_type | ) |
| inline

Set the type of tolerance check to use inside the solver.

Parameters

  tol_type | The tolerance type.

The documentation for this class was generated from the following file:

- ginkgo/core/solver/batch_solver_base.hpp